NODEENV(1)

NAME
nodeenv - nodeenv

SYNOPSIS
nodeenv [OPTIONS] ENV_DIR

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-n NODE_VER, --node=NODE_VER
    The node.js version to use, e.g., --node=0.4.3 will use the node-v0.4.3 to create the new environment. The default is last stable version (`latest`). Use `system` to use system-wide node.

-i, --iojs
    Use iojs instead of nodejs.

-j JOBS, --jobs=JOBS
    Sets number of parallel commands at node.js compilation. The default is 2 jobs.

--load-average=LOAD_AVERAGE
    Sets maximum load average for executing parallel commands at node.js compilation.

-v, --verbose
    Verbose mode

-q, --quiet
    Quiet mode

-C CONFIG_FILE, --config-file=CONFIG_FILE
    Load a different file than '~/.nodeenvrc'. Pass an empty string for no config (use built-in defaults).

-r FILENAME, --requirements=FILENAME
    Install all the packages listed in the given requirements file.

--prompt=PROMPT
    Provides an alternative prompt prefix for this environment

-l, --list
    Lists available node.js versions

--update
    Install npm packages from file without node

--without-ssl
    Build node.js without SSL support

--debug
    Build debug variant of the node.js

--profile
    Enable profiling for node.js

--with-npm
    Build without installing npm into the new virtual environment. Required for node.js < 0.6.3. By default, the npm included with node.js is used.

--npm=NPM_VER
    The npm version to use, e.g., --npm=0.3.18 will use the npm-0.3.18.tgz tarball to install. The default is last available version (`latest`).

--no-npm-clean
    Skip the npm 0.x cleanup. Cleanup is enabled by default.

-p, --python-virtualenv
    Use current python virtualenv

-c, --clean-src
    Remove "src" directory after installation

--force
    Force installation in a pre-existing directory

-m MAKE_PATH, --make=MAKE_PATH
    Path to make command

--prebuilt
    Install node.js from prebuilt package

AUTHORS
nodeenv was primarily written by Eugene Kalinin.

SEE ALSO
Documentation for nodeenv is available online at https://github.com/ekalinin/nodeenv